# dask.dataframe.tseries.resample.Resampler

class dask.dataframe.tseries.resample.Resampler(obj, rule, **kwargs)

  Class for resampling timeseries data.

  This class is commonly encountered when using `obj.resample(...)` which return `Resampler` objects.

  Parameters:
    obj Dask DataFrame or Series

      Data to be resampled.

    rule str, tuple, datetime.timedelta, DateOffset or None

      The offset string or object representing the target conversion.

    kwargs optional

      Keyword arguments passed to underlying pandas resampling function.

  Returns:
    Resampler instance of the appropriate type
  __init__(obj, rule, **kwargs)

  Methods

  `__init__`(obj, rule, **kwargs) |
  `agg`(agg_funcs, *args, **kwargs) | Aggregate using one or more operations over the specified axis.
  `count`() | Compute count of group, excluding missing values.
  `first`() | Compute the first entry of each column within each group.
  `last`() | Compute the last entry of each column within each group.
  `max`() | Compute max value of group.
  `mean`() | Compute mean of groups, excluding missing values.
  `median`() | Compute median of groups, excluding missing values.
  `min`() | Compute min value of group.
  `nunique`() | Return number of unique elements in the group.
  `ohlc`() | Compute open, high, low and close values of a group, excluding missing values.
  `prod`() | Compute prod of group values.
  `quantile`() | Return value at the given quantile.
  `sem`() | Compute standard error of the mean of groups, excluding missing values.
  `size`() | Compute group sizes.
  `std`() | Compute standard deviation of groups, excluding missing values.
  `sum`() | Compute sum of group values.
  `var`() | Compute variance of groups, excluding missing values.